image: alpine
stages:
    - prep
    - build
    - test

prepare the car:
  stage: prep
  script:
    - mkdir -p build meta    
    - touch build/car.txt meta/author.txt
  artifacts:
    paths:
      - build/
      - meta/

author:
  stage: build
  script:
    - echo "${GITLAB_USER_NAME}"
    - echo "${GITLAB_USER_NAME}" >> meta/author.txt
    - cat meta/author.txt
  artifacts:
    paths:
      - meta/

build the car:
  stage: build
  script:
    - echo "Chassis" >> build/car.txt
    - echo "Engine" >> build/car.txt
    - echo "Wheels" >> build/car.txt
    - cat build/car.txt
  artifacts:
    paths:
      - build/

test the author:
  stage: test
  script:
    - ls
    - test -f meta/author.txt
    - grep "Chiran" meta/author.txt
    
test the car:
  stage: test
  script:
    - ls
    - test -f build/car.txt
    - grep "Chassis" build/car.txt
    - grep "Engine" build/car.txt
    - grep "Wheels" build/car.txt
